/**
 *  ---------
 * |.##> <##.|  SmartCard-HSM Support Scripts
 * |#       #|  
 * |#       #|  Copyright (c) 2011-2012 CardContact Software & System Consulting
 * |'##> <##'|  Andreas Schwier, 32429 Minden, Germany (www.cardcontact.de)
 *  --------- 
 *
 * Consult your license package for usage terms and conditions.
 * 
 * @fileoverview SmartCard-HSM JCE-Provider Tests
 */

load("tools/TestRunner.js");
load("tools/TestGroup.js");
load("tools/TestProcedure.js");

X509CA = require("scsh/x509/X509CA").X509CA;


var crypto = new Crypto();
var ca = new X509CA(crypto);

var fn = GPSystem.mapFilename("scsh/x509/DEMO-CA.jks", GPSystem.USR);

var ks = new KeyStore("SUN", "JKS", fn, "openscdp");
var key = new Key();
key.setID("DEMOCA");

ks.getKey(key, "openscdp");
ca.setSignerKey(key);

var cert = ks.getCertificate("DEMOCA");
ca.setSignerCertificate(cert);

var param = new Array();
param["pin"] = new ByteString("648219", ASCII);
param["ca"] = ca;
param["crypto"] = crypto;


var testRunner = new TestRunner("SmartCard-HSM JCE Provider Test");

testRunner.addTestGroupFromXML("tg_crypto.xml", param);
testRunner.addTestGroupFromXML("tg_enumerate.xml", param);
testRunner.addTestGroupFromXML("tg_delete.xml", param);
testRunner.addTestGroupFromXML("tg_generatekeys.xml", param);
testRunner.addTestGroupFromXML("tg_certificate.xml", param);
print("Test-Suite loaded...");